Support » Plugin: Yoast SEO » Gutenberg + Yoast SEO Conflict

  • Describe the bug
    This bug occurs when Gutenberg and Yoast SEO are both enabled. The Gutenberg editor crashes every time it is opened with the following error:

    ReferenceError: YoastSEO is not defined at f (https://domain.com/wp-content/plugins/wordpress-seo/js/dist/wp-seo-post-scraper-810.min.js?ver=8.1:1:47420) at o (https://domain.com/wp-content/plugins/wordpress-seo/js/dist/wp-seo-post-scraper-810.min.js?ver=8.1:1:47252) at t.value (https://domain.com/wp-content/plugins/wordpress-seo/js/dist/wp-seo-post-scraper-810.min.js?ver=8.1:1:91087) at Xf (https://domain.com/wp-content/plugins/gutenberg/vendor/react-dom.min.82e21c65.js:91:268) at yh (https://domain.com/wp-content/plugins/gutenberg/vendor/react-dom.min.82e21c65.js:102:317) at lg (https://domain.com/wp-content/plugins/gutenberg/vendor/react-dom.min.82e21c65.js:120:88) at mg (https://domain.com/wp-content/plugins/gutenberg/vendor/react-dom.min.82e21c65.js:120:386) at gc (https://domain.com/wp-content/plugins/gutenberg/vendor/react-dom.min.82e21c65.js:127:202) at vb (https://domain.com/wp-content/plugins/gutenberg/vendor/react-dom.min.82e21c65.js:126:230) at ub (https://domain.com/wp-content/plugins/gutenberg/vendor/react-dom.min.82e21c65.js:126:65)

    To Reproduce
    The error can be reproduced by trying to edit a post using Gutenberg while Yoast SEO is enabled.

    Expected behavior
    Editor crashes with an error.

    Additional context

      Gutenberg version 3.6.2, Yoast SEO version 8.1
      PHP 7.2.8
Viewing 5 replies - 1 through 5 (of 5 total)
Viewing 5 replies - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.